package fi.er.formPlugin;

import kd.bos.dataentity.entity.DynamicObject;
import kd.bos.form.events.AfterDoOperationEventArgs;
import kd.bos.list.plugin.AbstractListPlugin;
import kd.sdk.plugin.Plugin;

public class PublicreimburFormPlugin extends AbstractListPlugin implements Plugin {
    private final static String KEY_Card = "newassetentry";//资产信息分录增行
    @Override
    public void afterDoOperation(AfterDoOperationEventArgs e) {
        String operateKey = e.getOperateKey();
        if (KEY_Card.equals(e.getOperateKey())) {
            //资产组织
            DynamicObject assetorg = (DynamicObject) this.getModel().getValue("assetorg");
            //赋值给资产信息的核算组织
            this.getModel().setValue("nckd_orgfield1", assetorg);
            this.getView().updateView("assetentry");
        }
    }


}
