package fi.fa.formPlugin;

import kd.bos.dataentity.entity.DynamicObject;
import kd.bos.dataentity.entity.DynamicObjectCollection;
import kd.bos.dataentity.entity.LocaleString;
import kd.bos.form.events.AfterDoOperationEventArgs;
import kd.bos.list.plugin.AbstractListPlugin;
import kd.bos.orm.query.QCP;
import kd.bos.orm.query.QFilter;
import kd.bos.servicehelper.BusinessDataServiceHelper;
import kd.sdk.plugin.Plugin;

public class AssetSplitBilFormPlugin extends AbstractListPlugin implements Plugin {
    private final static String KEY_Card = "selectcard";//匹配卡片清单按钮
    @Override
    public void afterDoOperation(AfterDoOperationEventArgs e) {
        String operateKey = e.getOperateKey();
        if (KEY_Card.equals(e.getOperateKey())) {
            DynamicObjectCollection collection = new DynamicObjectCollection();
            //获取实物卡片编码
            DynamicObjectCollection subassetsplitentry = (DynamicObjectCollection) this.getModel().getValue("subassetsplitentry");
            String number = this.getModel().getDataEntity().getDynamicObjectCollection("assetsplitentry").get(0).getDynamicObject("realcard").getString("number");
            //查询e管家实物卡片清单
            QFilter filter = new QFilter("nckd_card_real_code", QCP.equals,number);
            DynamicObject[] dynamicObjects = BusinessDataServiceHelper.load("nckd_fa_card_real_list","id",new QFilter[] {filter});
            for (int i = 0; i < dynamicObjects.length; i++) {
                DynamicObject info = BusinessDataServiceHelper.loadSingle(dynamicObjects[i].getPkValue(), dynamicObjects[i].getDynamicObjectType().getName());
                LocaleString localeString = new LocaleString();
                localeString.setLocaleValue(info.getString("name"));
                if (this.getModel().getValue("biztype").equals("B")) {
                    //给资产名称，e管家实物卡片清单赋值
                    subassetsplitentry.get(i+1).set("aft_assetname",localeString);
                    subassetsplitentry.get(i+1).set("nckd_real_card_list",info);
                } else if (this.getModel().getValue("biztype").equals("A")) {
                    //给资产名称，e管家实物卡片清单赋值
                    subassetsplitentry.get(i).set("aft_assetname",localeString);
                    subassetsplitentry.get(i).set("nckd_real_card_list",info);
                }
            }
            this.getView().updateView("subassetsplitentry");
        }
    }
}
