package fi.gl.opplugin;

import fi.gl.business.VoucherValidator;
import kd.bos.entity.plugin.AbstractOperationServicePlugIn;
import kd.bos.entity.plugin.AddValidatorsEventArgs;
import kd.sdk.plugin.Plugin;

/**
 * 凭证操作插件
 * 2024-07-15 wangj
 * 主要功能：校验凭证是否日结
 */
public class VoucherOpPlugin  extends AbstractOperationServicePlugIn implements Plugin {

    @Override
    public void onAddValidators(AddValidatorsEventArgs e) {
        super.onAddValidators(e);
        e.addValidator(new VoucherValidator());
    }
}
